*,
*::before,
*::after {
    box-sizing: border-box;
}

.lkdm_vw__img-fluid {
    height: auto;
    display: block;
    max-width: 100%;
}

.lkdm_vw__ico-svg {
    position: relative;
    display: inline-block;
    width: auto;
    height: 100%;
    -webkit-transform: translate(0, 0);
    transform: translate(0, 0);
}


.lkdm_vw_ {

    &_container {
        width: 130px;
        height: 180px;
        position: fixed;
        left: 20px;
        bottom: 30px;
        overflow: hidden;
        border-radius: 20px;
        z-index: 99999;
        font-family: 'Segoe UI', Helvetica, Arial, sans-serif;
        transform: scale(1);
        transition: 0.3s;
        box-shadow: 0 0 8px 0 rgba(0,0,0,0.25);
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;

        &--open {
            height: 500px;
            width: 280px;
            border-radius: 20px;
            box-shadow: 0 0 8px 0 rgba(0,0,0,0.25);
            transition: all 0.3s ease-in-out 0s;
            transform: scale(1) !important;

            &:hover {
                transform: scale(1) !important;
                box-shadow: 0 0 8px 0 rgba(0,0,0,0.5);
                transition: all 0.3s ease-in-out 0s;
            }

            .lkdm_vw_ {

                &_link {
                    opacity: 1;
                    visibility: visible;
                    transition: .3s;
                }

                &_content {
                    opacity: 1;
                    visibility: visible;
                    transition: .3s;
                }

                &_toggle {
                    top: 12px;
                    right: 12px;
                    width: rem(32);
                    height: rem(32);
                    opacity: 1;
                    visibility: visible;
                    transition: .3s;
                    transform: scale(1);

                    &:after,
                    &:before {
                        top: calc(50% - 1px);
                        left: calc(50% - 6px);
                        width: 12px;
                        height: 2px;
                        content: '';
                        background: #fff;
                        position: absolute;
                    }

                    &:hover {
                        transform: scale(1.1);
                        transition: .3s;
                    }
                }

                &_mute {
                    opacity: 1;
                    visibility: visible;
                }

                &_time {
                    opacity: 1;
                    visibility: visible;
                }

                &_play {
                    display: block;
                    visibility: visible;
               //     animation: pulse 2.5s;

                    &.active {
                        animation: pulse 2.5s;
                    }
                }

                &_stop {
                    display: block;
                    visibility: visible;
             //       animation: pulse 2.5s;

                    &.active {
                        animation: pulse 2.5s;
                    }
                }

                &_text {
                    opacity: 0;
                    visibility: hidden;
                }

                &_button {
                    display: block;
                }

                &_progressbar {
                    opacity: 1;
                    visibility: visible;
                }
            }
        }

        &--hide {
           display: none;
        }

        &--right {
            left: auto;
            right: 20px;

            &.lkdm_vw__container--inverse{
                left: 20px;
                right: auto;
            }
        }

        &--inverse {
            left: auto;
            right: 20px;
        }

        &--active {

        }

        &--border {

            .lkdm_vw__link {
                left: 4px;
                right: 4px;
                bottom: 4px;
            }
        }

        &:hover {
            transform: scale(1.05);
            box-shadow: 0 0 8px 0 rgba(0,0,0,0.5);
            transition: 0.3s;

            .lkdm_vw__toggle {
                opacity: 1;
                visibility: visible;
                transition: .3s;
            }
        }
    }

    &_media {
        margin: 0;
        padding: 0;
        width: 100%;
        height: 100%;
        overflow: hidden;
        cursor: pointer;
        position: relative;
        border-radius: 20px;
    }

    &_content {
        left: 0;
        right: 0;
        bottom: 30px;
        z-index: 50;
        opacity: 0;
        position: absolute;
        visibility: hidden;
        padding: 0 32px 32px 32px;
        animation-name: showButton;
        animation-duration: 5s;
    }

    &_video {
        z-index: 1;
        object-fit: cover;
        position: absolute;
        top: 50%;
        left: 50%;
        -webkit-transform: translate(-50%,-50%);
        -ms-transform: translate(-50%,-50%);
        transform: translate(-50%,-50%);
        width: 100%;
        height: 100%;
        min-width: 100%;
        min-height: 100%;
    }

    &_toggle {
        top: 8px;
        right: 8px;
        z-index: 100;
        width: 22px;
        height: 22px;
        position: absolute;
        cursor: pointer;
        border-radius: 50%;
        opacity: 0;
        visibility: hidden;
        background: rgba(0,0,0,0.2);
        transition: .3s;

        &:after,
        &:before {
            top: calc(50% - 1px);
            left: calc(50% - 4px);
            width: 8px;
            height: 1px;
            content: '';
            background: #fff;
            position: absolute;
        }

        &:after {
            transform: rotate(45deg);
        }

        &:before {
            transform: rotate(-45deg);
        }

        &:hover {
            background: rgba(0,0,0,0.4);
            transition: .3s;
        }
    }

    &_link {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 50;
        color: #fff;
        overflow: hidden;
        position: absolute;
        text-decoration: none;
        height: 30px;
        border-radius: 0 0 18px 18px;

        display: flex;
        font-size: 13px;
        line-height: 18px;
        align-items: center;
        justify-content: center;
        background: rgba(0,0,0,0.3);
        transition: .3s;
        opacity: 0;
        visibility: hidden;

        &:hover {
            color: #fff;
            text-decoration: none;
            background: rgba(0,0,0,0.6);
            transition: .3s;
        }

        &--text {
            display: block;
            margin-right: 8px;
        }

        &--image {
            width: 90px;
            font-size: 0;
            line-height: 0;
            display: block;
        }

        img {
            height: auto;
            display: block;
            max-width: 100%;
        }
    }

    &_button {
        color: #fff;
        outline: none;
        cursor: pointer;
        width: 100%;
        height: 50px;
        font-weight: 400;
        font-size: 14px;
        line-height: 20px;
        padding: 12px 32px;
        user-select: none;
        text-align: center;
        white-space: nowrap;
        position: relative;
        text-decoration: none;
        display: none;
        align-items: center;
        justify-content: center;
        vertical-align: middle;
        border: rem(1) solid transparent;
        background: rgba(255,177,61,1);
        border-radius: rem(25);
        transform: scale(1);
        transition: .3s;

        &:hover {
            color: #fff;
            text-decoration: none;
            transform: scale(1.1);
            transition: .3s;
        }

        &:active {
            background: #ffdd2d;
        }

        &:focus,
        &.focus {
            outline: 0;
        }
    }

    &_progressbar {
        top: 0;
        left: 8px;
        right: 8px;
        z-index: 5;
        opacity: 0;
        visibility: hidden;
        position: absolute;
        transition: opacity .3s;
    }

    &_progress {
        top: 0;
        left: 0;
        right: 0;
        width: 100%;
        height: 5px;
        border-radius: 2px;
        background: rgba(255,61,62,1);
        position: relative;
        transition: .3s;
    }

    &_mute {
        top: 54px;
        right: 12px;
        margin: 0;
        padding: 0;
        z-index: 100;
        border: none;
        outline: none;
        cursor: pointer;
        width: rem(32);
        height: rem(32);
        font-size: 0;
        line-height: 0;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
        fill: $white;
        border-radius: 50%;
        background: rgba(0,0,0,0.2);
        transform: scale(1);
        opacity: 0;
        visibility: hidden;
        transition: .3s;

        i {
            height: 14px;
            display: inline-block;
            position: relative;
            flex-shrink: 0;
        }

        i + i {
            left: 1px;
            display: none;
        }

        &:hover {
            background: rgba(0,0,0,0.4);
            transform: scale(1.1);
            transition: .3s;
        }

        &--off {

            i {
                display: none;
            }

            i + i {
                display: inline-block;
            }
        }
    }

    &_time {
        position: absolute;
        top: 15px;
        left: 12px;
        color: white;
        font-size: 12px;
        z-index: 400;
        width: 40px;
        opacity: 0;
        visibility: hidden;
    }

    &_play {
        position: absolute;
        top: calc(50% - 36px);
        left: calc(50% - 36px);
        width: 72px;
        height: 72px;
        z-index: 70;
        display: none;
        opacity: 0;
        visibility: hidden;
    }

    &_stop {
        position: absolute;
        top: calc(50% - 36px);
        left: calc(50% - 36px);
        width: 72px;
        height: 72px;
        z-index: 70;
        display: none;
        opacity: 0;
        visibility: hidden;
    }

    &_text {
        top: 36px;
        left: 14px;
        right: 20px;
        color: $white;
        font-size: 14px;
        line-height: 20px;
        overflow: hidden;
        text-overflow: ellipsis;
        max-height: 120px;
        z-index: 10;
        position: absolute;
        opacity: 1;
        visibility: visible;
    }

    &_border {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        position: absolute;
        border-radius: 20px;
        border: 4px solid $white;
    }

    @include media-breakpoint-up(lg) {

        &_container {

            &--inverse {
                left: 20px;
                right: auto;
            }

            &--right {

                &.lkdm_vw__container--inverse{
                    left: auto;
                    right: 20px;
                }
            }
        }
    }

    @keyframes showButton {
        from {
            opacity: 0;
            visibility: hidden;
        }
        95% {
            opacity: 0;
            visibility: hidden;
        }
        to {
            opacity: 1;
            visibility: visible;
        }
    }

    @keyframes pulse {
        0% {
            transform: scale(0.8);
            opacity: 0.3;
        }
        50% {
            transform: scale(1);
            box-shadow: 0 0 0 100px rgba(#5a99d4, 0);
        }
        100% {
            transform: scale(2);
            box-shadow: 0 0 0 0 rgba(#5a99d4, 0);
            opacity: 0;
        }
    }
}



@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
